cURL
curl --request GET \
--url https://api.finosu.com/scheduled-calls/customer/{customerId} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.finosu.com/scheduled-calls/customer/{customerId}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.finosu.com/scheduled-calls/customer/{customerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"customerId": "<string>",
"scheduledTime": "<string>",
"status": "<string>",
"callId": "<string>",
"postProcessingFlags": [
"<string>"
]
}
]{
"error": 123,
"message": "<string>"
}Scheduled Calls
Get Scheduled Calls
Returns all scheduled calls for a given customer
GET
/
scheduled-calls
/
customer
/
{customerId}
cURL
Authorizations
Path Parameters
ID of customer
Response
Scheduled calls response
Identification number of the scheduled call
ID of the customer
Scheduled time of the call
Status of the scheduled call
Identification number of the call if the call has been executed
Array of post-processing flags from the associated call. Common flags include: DNC (Do Not Call), COMPLAINT, MESSAGE_LEFT, VOICEMAIL_CONNECT, RPC (Right Party Contact), THIRD_PARTY_CONTACT, WRONG_NUMBER, DECEASED, INCARCERATED, MILITARY, BANKRUPTCY, CIP_PASSED, CIP_FAILED, TRANSFER, CALLBACK_REQUEST, and others